> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socialvision.tisyk.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora2 视频接口参考

> OpenAI Sora2 规格视频生成与任务查询

## openai 下载视频

`GET /v1/videos/{id}/content`

Sora2 专属 · 下载已完成视频内容（`GET /v1/videos/`{`id`}`/content`）。

### 请求参数 (Query / Path)

<ParamField path="id" type="string" required>
  路径中的资源 / 任务 ID
</ParamField>

<ParamField header="Content-Type" type="string" required>
  请求体 Content-Type，一般为 application/json
</ParamField>

<ParamField header="Accept" type="string" required>
  期望的响应 Content-Type
</ParamField>

<ParamField header="Authorization" type="string">
  Bearer API Key
</ParamField>

<ParamField header="X-Forwarded-Host" type="string">
  转发原始 Host（代理场景）
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl "https://socialvision.tisyk.xyz/v1/videos/{id}/content" \
  -H "Authorization: Bearer sk-YOUR_API_KEY"
```

### 响应示例 (200 OK)

```json theme={null}
{
  "enhanced_prompt": "string",
  "id": "string",
  "status": "string",
  "status_update_time": 0,
  "video_url": "string"
}
```

***

## 创建 Sora2 角色

`POST /sora/v1/characters`

从视频片段创建可复用角色。

### 请求体参数 (Body)

<ParamField body="from_task" type="string">
  可以根据已经生成的任务 id，来创建角色
</ParamField>

<ParamField body="timestamps" type="string" required>
  单位秒，例如 ‘1,2’ 是指视频的1～2秒中出现的角色，注意范围差值最大 3 秒最小 1 秒
</ParamField>

<ParamField body="url" type="string">
  视频中包含需要创建的角色 ,url 和from\_task 二选一
</ParamField>

### 请求示例 (JSON)

```json theme={null}
{
  "timestamps": "1,3",
  "url": "https://example.com/video.mp4"
}
```

### 请求示例 (cURL)

```bash theme={null}
curl -X POST "https://socialvision.tisyk.xyz/sora/v1/characters" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "timestamps": "1,3",
  "url": "https://example.com/video.mp4"
}'
```

### 响应示例 (200 OK)

```json theme={null}
{
  "id": "ch_6918d62178e48191a0b1ae49be428a13",
  "permalink": "https://sora.chatgpt.com/profile/hfspncadz.mooflapand",
  "profile_picture_url": "https://videos.openai.com/az/files/00000000-b788-71f7-9de5-96555ff29024%2Fraw?se=2025-11-20T00%3A00%3A00Z&sp=r&sv=2024-08-04&sr=b&skoid=1af02b11-169c-463d-b441-d2ccfc9f02c8&sktid=a48cca56-e6da-484e-a814-9c849652bcb3&skt=2025-11-15T01%3A48%3A34Z&ske=2025-11-22T01%3A53%3A34Z&sks=b&skv=2024-08-04&sig=3/KGVtkEsZWBTmErhzUEU5pWrnL8JxRKH0wVCQvh6Fo%3D&ac=oaisdmntprsouthcentralus",
  "username": "hfspncadz.mooflapand"
}
```

***

## 创建一个来自上传视频的角色

`POST /v1/videos/characters`

Sora2 专属 · 从上传视频创建可复用角色（`POST /v1/videos/characters`，multipart/form-data）。

### 请求体参数 (Body)

<ParamField body="name" type="string" required>
  定义角色名称。

  最大长度80\
  最小长度1
</ParamField>

<ParamField body="video" type="string" required>
  用于创建角色的视频文件。目前角色上传时，2 到 4 秒的短片段效果最佳 16：9 或 9：16，分辨率为 720p 到 1080p。角色源视频在匹配要求输出的画面比例时效果最佳。如果宽高比不同，角色可能会显得拉伸或变形。一个视频最多可包含两个角色。
</ParamField>

### 请求示例 (JSON)

```json theme={null}
{
  "name": "可爱的小鱼",
  "video": "file://C:\\Users\\Administrator\\Desktop\\下载.mp4",
  "x-i18n": {
    "en-US": {
      "name": "Cute little fish"
    }
  }
}
```

### 请求示例 (cURL)

```bash theme={null}
curl -X POST "https://socialvision.tisyk.xyz/v1/videos/characters" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "可爱的小鱼",
  "video": "file://C:\\Users\\Administrator\\Desktop\\下载.mp4",
  "x-i18n": {
    "en-US": {
      "name": "Cute little fish"
    }
  }
}'
```

### 响应示例 (200 OK)

```json theme={null}
{
  "created_at": 1761622232,
  "id": "video_5c6a605a-30c0-4a6a-9dbd-d1d6cfdd9980",
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "seconds": "10",
  "size": "1280x720",
  "status": "queued"
}
```

***

## openai 编辑视频

`POST /v1/videos/{id}/remix`

Sora2 专属 · 基于已有视频 remix 编辑（`POST /v1/videos/`{`id`}`/remix`）。

### 请求参数 (Query / Path)

<ParamField path="id" type="string" required>
  路径中的资源 / 任务 ID
</ParamField>

<ParamField header="Content-Type" type="string" required>
  请求体 Content-Type，一般为 application/json
</ParamField>

### 请求体参数 (Body)

<ParamField body="prompt" type="string" required>
  文本提示词
</ParamField>

### 请求示例 (JSON)

```json theme={null}
{
  "prompt": "画面更精细一些",
  "size": "1280x720"
}
```

### 请求示例 (cURL)

```bash theme={null}
curl -X POST "https://socialvision.tisyk.xyz/v1/videos/{id}/remix" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "prompt": "画面更精细一些",
  "size": "1280x720"
}'
```

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.